xcb_glx_set_client_info_2arb(3)

NAME
xcb_glx_set_client_info_2arb -

SYNOPSIS
#include <xcb/glx.h>

  Request function

xcb_void_cookie_t xcb_glx_set_client_info_2arb(xcb_connection_t *conn, uint32_t major_version, uint32_t minor_version, uint32_t num_versions, uint32_t gl_str_len, uint32_t glx_str_len, const uint32_t *gl_versions, const char *gl_extension_string, const char *glx_extension_string);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

major_version
    TODO: NOT YET DOCUMENTED.

minor_version
    TODO: NOT YET DOCUMENTED.

num_versions
    TODO: NOT YET DOCUMENTED.

gl_str_len
    TODO: NOT YET DOCUMENTED.

glx_str_len
    TODO: NOT YET DOCUMENTED.

gl_versions
    TODO: NOT YET DOCUMENTED.

gl_extension_string
    TODO: NOT YET DOCUMENTED.

glx_extension_string
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_glx_set_client_info_2arb_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from glx.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.